cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Former Member
Not applicable
Report Inappropriate Content
Message 1 of 8

Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

So I just upgraded my test server from v4.2.15 to v5.2.2

The test server points at a copy of my live database taken a few weeks ago.

I can log in using my Lv 30 and Lv29 accounts, either through the Service OR through the Local SafeBoot Administration Database connection. However, my 1st Line Admins (lv 6) cannot connect. To test, I created myself an account in the 1st Line Admins container and cannot login with this account either.

Error Code: 0xdb00001d
You do not have permission to access the object

I remember reading something somewhere that said, in v5, regular user accounts (ie. those used as just client accounts) will not be able to acess the Database via SBadmin, even at level 1, I wonder if the same changes have somehow changed the permissions of my admins?

Labels (1)
1 Solution

Accepted Solutions
Former Member
Not applicable
Report Inappropriate Content
Message 8 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

For those people you need to change their user object property. Using EEM to the following:

  • select user object properties
  • select "Admin Rights" on the left side dropdown list
  • in "Administration fuctions" window, expand "Users" group
  • place checkmark against "Allow administration"
  • save settings

You can do the same through a user group properties, then assign it to relevant user objects.

Migration process from 4.2 to 5.x updates this checkmark sometimes, but not always, so manual intervention is required.

View solution in original post

7 Replies
SafeBoot
Reliable Contributor
Reliable Contributor
Report Inappropriate Content
Message 2 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

you need to give them permission to use EEM - it's in the user admin rights properties. By default only administrators get that in v5, and as that option was not available in v4, no one by default other than the root admins will have it.

Former Member
Not applicable
Report Inappropriate Content
Message 3 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

Ah I see. Thank you.

So when I upgrade to v5 in the live environment, I will need to make these changes. If I then need to rollback to v4, what will happen to these user accounts? Will then then become corrupted if I try to manage them with a v4 SBAdmin (bearing in mind they will now have v5 attributes?)

Former Member
Not applicable
Report Inappropriate Content
Message 4 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

Migration is one way (4.2 -> 5.x). Do not try to use 4.2 admin console after migration.

Former Member
Not applicable
Report Inappropriate Content
Message 5 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

Ah ok. Going back to v4 was going to be a rollback plan if, for some reason, after upgrading the server to v5 client synchs from the existing v4 clients started to fail (for example: something about the new v5 Communications Service is not working with our existing v4 clients and they all fail to synch after upgrade of the server) This rollback would only be used if we had not upgraded any clients to v5 yet. Therefore I considered it safe to do so as the database objects will all still be as they were in v4.

But this change to the Admins appears to possibly be a non-rollback option as it will mark attributes to the objects that v4 won't recognise. Would you agree?

Former Member
Not applicable
Report Inappropriate Content
Message 6 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

We have never tried to use old version 4 admin console after backend migration to 5.x. So I can't comment.

But production is a coexistence of 4.x and 5.x clients, and it is going to be for some time. No major issues with client synch, except that you cannot force sync 4.x clients from 5.x EEM/database. Not a big deal.

Former Member
Not applicable
Report Inappropriate Content
Message 7 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

Many thanks Peter.

Former Member
Not applicable
Report Inappropriate Content
Message 8 of 8

Re: Admins Unable to Access after v4 to v5 Upgrade

Jump to solution

For those people you need to change their user object property. Using EEM to the following:

  • select user object properties
  • select "Admin Rights" on the left side dropdown list
  • in "Administration fuctions" window, expand "Users" group
  • place checkmark against "Allow administration"
  • save settings

You can do the same through a user group properties, then assign it to relevant user objects.

Migration process from 4.2 to 5.x updates this checkmark sometimes, but not always, so manual intervention is required.

You Deserve an Award
Don't forget, when your helpful posts earn a kudos or get accepted as a solution you can unlock perks and badges. Those aren't the only badges, either. How many can you collect? Click here to learn more.

Community Help Hub

    New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

  • Find Forum FAQs
  • Learn How to Earn Badges
  • Ask for Help
Go to Community Help

Join the Community

    Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

  • Get helpful solutions from McAfee experts.
  • Stay connected to product conversations that matter to you.
  • Participate in product groups led by McAfee employees.
Join the Community
Join the Community